AutoCAD 2004/2005/2006

Reply
New Member
caddrat
Posts: 2
Registered: ‎08-24-2012
Message 1 of 8 (7,506 Views)

Create a flat pattern of a frustum from a solid truncated cone

7506 Views, 7 Replies
08-24-2012 09:52 AM

I have a need to create a pattern that I can derive scaled information from to layout a flat pattern to make a frustum of a certain size.  Can I do this using AutoCAD 2006?  I have created the cone as a surface and as a solid.  My attempts at solving this as a geometry problem are woefully inadequate.

Valued Mentor
steven-g
Posts: 494
Registered: ‎05-11-2009
Message 2 of 8 (7,500 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

08-24-2012 12:43 PM in reply to: caddrat

Draw a circle with a radius the same length as the side of your cone.

Draw another circle the same size as the base of your cone.

Use the formula  Degrees= (360/Circumference of big circle)* Circumference of small circle).

For example a cone with sides 200 units and a base radius of 40 units would be 

(360/1256.6)*251.3 = 72

So cutting a pie slice from the large circle of 72 degrees will give you a flat pattern for the cone.

This can be done on a piece of paper but using autocad it's much easier to get the circumferences.  :smileyembarrassed:)

Regards Steven Gray
Setting Out (Joinery Manufacturing)
Autocad 2013LT
Windows 7 professional
New Member
caddrat
Posts: 2
Registered: ‎08-24-2012
Message 3 of 8 (7,488 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

08-26-2012 07:25 PM in reply to: steven-g
Thanks a bunch. I'll ge? it a try. I stumbled into a way to do it this afternoon and our fiberglass shop is busy?using?it right now. I'll try yours and I'll send you mine to try.? It is easy on CAD also. Douglas R. Moss, SMSgt, USAF(retired) Teacher, Career & Technology(retired) Professional AutoCAD 2012 Operator
Valued Mentor
steven-g
Posts: 494
Registered: ‎05-11-2009
Message 4 of 8 (7,482 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

08-27-2012 03:44 AM in reply to: caddrat

Sorry I forgot to add that the base of your frustrum and the top are both drawn from the same point, and drawn with a radius equal to the length from the theoretical point of your cone, Hope that makes sense, I don't think there is a command in Autocad for flattening out a surface (I use LT), But if you do this often there is a free program called pepakura that does just that. I used it a few times for doing similar things years ago. I would be interested to know how you solved this.

Regards Steven Gray
Setting Out (Joinery Manufacturing)
Autocad 2013LT
Windows 7 professional
New Member
jfoti2050
Posts: 2
Registered: ‎04-04-2014
Message 5 of 8 (409 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

04-04-2014 02:57 PM in reply to: steven-g

Hi Steven, this is exactly what I'm looking to work with. Could you please explain what the 200 and 40 base units apply to ? Fo my example, I would want to print a flat template pattern for a lamp shade with the following dimensions.

 

Here are the elements I would like to be able to plug in other variables as needed for smaller larger, shorter -

 

Top opening 6" dia (3" rad)

Btm opening 14 dia" (7" rad)

Height 8"

 

Starting from the cone dimensions, I would then like to create a flattened pattern template that I could cut to.

 

Please help me understand how to caltulate the 'pie slice' degree angle and the circle radius of the respective flattend dimensions.

 

Thanks for your help. 

*Expert Elite*
Kent1Cooper
Posts: 5,243
Registered: ‎09-13-2004
Message 6 of 8 (392 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

04-07-2014 07:18 AM in reply to: jfoti2050

jfoti2050 wrote:

.... 

Here are the elements I would like to be able to plug in other variables as needed for smaller larger, shorter -

 

Top opening 6" dia (3" rad)

Btm opening 14 dia" (7" rad)

Height 8"

 

Starting from the cone dimensions, I would then like to create a flattened pattern template that I could cut to.

....


Try this out:

 

(vl-load-com)

(defun C:smileyfrustrated:HADE (/ radbot radtop ht ctr raddelta angsin radin arcin arcout)

  (setq
    radbot (getdist "\nRadius of bottom: ")
    radtop (getdist "\nRadius of top: ")
    ht (getdist "\nHeight: ")
    ctr (getpoint "\nCenter point of flattened template: ")
    raddelta (- radbot radtop)
    angsin (sin (atan raddelta ht))
    radin (/ radtop angsin); inside radius [flattened]
  ); setq
  (command
    "_.arc" ; inside edge [flattened]
    "_c" ctr ; [spelled-out "_center" is taken as object-snap call]
    (polar ctr 0 radin); start
    (polar ctr (* 2 pi (/ radtop radin)) radin); end
  ); command
  (setq arcin (entlast))
  (vla-offset (vlax-ename->vla-object arcin) (/ raddelta angsin)); outside edge
  (setq arcout (entlast))
  (command ; ends
    "_.line" "@" (vlax-curve-getEndPoint arcout) ""
    "_.line" (vlax-curve-getStartPoint arcin) (vlax-curve-getStartPoint arcout) ""
  ); command

); defun

 

Lightly tested, and doesn't have the usual controls yet [e.g. turn object snap off], or some other things you might want to add [check that top is smaller than bottom, maybe ask for diameters and calculate radii from them, etc.].  And it's purely the flattened conical surface geometry, without allowance for additional material to wrap the edges around wire rings, or overlap at the joint, or however all of that works.

Kent Cooper
New Member
jfoti2050
Posts: 2
Registered: ‎04-04-2014
Message 7 of 8 (386 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

04-07-2014 08:22 AM in reply to: caddrat

Thanks for responding Kent. Which online autocad application would I use to execute the solution ?

*Expert Elite*
Kent1Cooper
Posts: 5,243
Registered: ‎09-13-2004
Message 8 of 8 (376 Views)

Re: Create a flat pattern of a frustum from a solid truncated cone

04-07-2014 11:45 AM in reply to: jfoti2050

jfoti2050 wrote:

Thanks for responding Kent. Which online autocad application would I use to execute the solution ?


Nothing on-line required -- all you need to use it is built into AutoCAD already [unless you're using LT, which can't use AutoLISP routines].  Copy the code lines [everything from the

 

(vl-load-com)

 

through

 

); defun

 

lines] to the clipboard, and paste them into Notepad or some other plain-text editor.  Save the result to a file, in some folder location that's in AutoCAD's Support File Search Path list [in Options], with .lsp for its filetype ending, such as SHADE.lsp [but you can call it whatever you want].  In AutoCAD, type APPLOAD [or just its alias -- AP], navigate to that folder, and Load that file.  Then type SHADE to use it.  If you use it often enough to justify doing so, you can have it made available in every drawing you open, by way of acaddoc.lsp or some other approaches.

 

EDIT:  I found a peculiarity -- it worked when I was testing it while writing it earlier, because I was loading the code directly without the command-name "wrapping."  But now I find there's a conflict with an apparently undocumented AutoCAD command.  SHADE is not listed in my Command Reference, but when I type it without having loaded that file, it doesn't reject the command name, and when I have some 3D solid stuff in the drawing, I find it applies shading, imposing a different SHADEMODE setting if it was initially 2D wireframe [which would mean no shading].  Even after loading that file, entering SHADE didn't use its command definition, because I didn't undefine AutoCAD's SHADE command first.  But it worked when I changed the command name in the file to LAMPSHADE:

 

(defun C:LAMPSHADE (/ rad ....

 

and reloaded the file.  You could still use SHADE.lsp for the file name if you want -- you just need the command name inside it to be something other than SHADE.

Kent Cooper

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community




Connect with AutoCAD

Twitter

Facebook

Blogs

Pinterest

Youtube